[PATCH 01 of 11 saem_ref] [tox] Use Python2 in "doc" environment

Denis Laxalde denis.laxalde at logilab.fr
Mon Feb 12 15:20:37 CET 2018


# HG changeset patch
# User Denis Laxalde <denis.laxalde at logilab.fr>
# Date 1518430805 -3600
#      Mon Feb 12 11:20:05 2018 +0100
# Node ID b5a5344246ce56b0496c48260fd71b52a3237f9c
# Parent  efb428324c9ccd7658beefa40db97ffa3fe33568
# Available At http://hg.logilab.org/review/cubes/saem_ref
#              hg pull http://hg.logilab.org/review/cubes/saem_ref -r b5a5344246ce
# EXP-Topic ark/postgres-generated
[tox] Use Python2 in "doc" environment

Some dependencies (old cubes) are not installable with Python3.

diff --git a/tox.ini b/tox.ini
--- a/tox.ini
+++ b/tox.ini
@@ -29,6 +29,7 @@ deps =
 commands = {envpython} -m pylint --disable=I,missing-docstring,fixme,bad-continuation cubes.saem_ref
 
 [testenv:doc]
+basepython = python2
 changedir = doc
 deps =
   sphinx



More information about the saem-devel mailing list